/**
 *
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 */
package com.topcoder.file.statistics;

import com.topcoder.file.statistics.matcher.AnyFileMatcherTestCase;
import com.topcoder.file.statistics.matcher.BinaryFileMatcherTestCase;
import com.topcoder.file.statistics.matcher.ExtensionMatcherTestCase;
import com.topcoder.file.statistics.matcher.FileCategoryMatcherTestCase;
import com.topcoder.file.statistics.matcher.FileNameMatcherTestCase;
import com.topcoder.file.statistics.matcher.FileTypeMatcherTestCase;
import com.topcoder.file.statistics.matcher.MimeMatcherTestCase;
import com.topcoder.file.statistics.matcher.RegexMatcherTestCase;
import com.topcoder.file.statistics.matcher.TextFileMatcherTestCase;
import com.topcoder.file.statistics.matcher.TypeNameMatcherTestCase;
import com.topcoder.file.statistics.processor.FileProcessorBaseTestCase;
import com.topcoder.file.statistics.processor.linecounter.CStyleLineCounterTestCase;
import com.topcoder.file.statistics.processor.linecounter.TextLineCounterTestCase;
import com.topcoder.file.statistics.reporting.AbstractStatsReportingTestCase;
import com.topcoder.file.statistics.reporting.BasicStatsReportingTestCase;
import com.topcoder.file.statistics.reporting.StatsCollectionTestCase;
import com.topcoder.file.statistics.reporting.XmlStatsReportingTestCase;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * <p>This test case aggregates all Unit test cases.</p>
 *
 * @author TopCoder
 * @version 1.0
 */
public class UnitTests extends TestCase {

    public static Test suite() {
        final TestSuite suite = new TestSuite();

        // Unit tests
        suite.addTest(ExceptionTestCase.suite());
        suite.addTest(MetricTestCase.suite());
        suite.addTest(StatsResultTestCase.suite());
        suite.addTest(AnyFileMatcherTestCase.suite());
        suite.addTest(FileCategoryMatcherTestCase.suite());
        suite.addTest(BinaryFileMatcherTestCase.suite());
        suite.addTest(TextFileMatcherTestCase.suite());
        suite.addTest(FileNameMatcherTestCase.suite());
        suite.addTest(ExtensionMatcherTestCase.suite());
        suite.addTest(RegexMatcherTestCase.suite());
        suite.addTest(FileTypeMatcherTestCase.suite());
        suite.addTest(MimeMatcherTestCase.suite());
        suite.addTest(TypeNameMatcherTestCase.suite());
        suite.addTest(FileProcessorBaseTestCase.suite());
        suite.addTest(TextLineCounterTestCase.suite());
        suite.addTest(CStyleLineCounterTestCase.suite());
        suite.addTest(StatsCollectionTestCase.suite());
        suite.addTest(AbstractStatsReportingTestCase.suite());
        suite.addTest(BasicStatsReportingTestCase.suite());
        suite.addTest(XmlStatsReportingTestCase.suite());
        suite.addTest(FileStatisticsTestCase.suite());
        suite.addTest(ExtendedFileStatisticsTestCase.suite());
        suite.addTest(MainTestCase.suite());

        // Demo
        suite.addTest(DemoTestCase.suite());

        return suite;
    }

}



