/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics.matcher;

import com.topcoder.file.statistics.FileMatchingException;

/**
 * <p>
 * Defines a mock concrete implementation of <code>FileNameMatcher</code> class. The argument passed in
 * <code>match</code> method is stored. It can be retrieved for testing purposes.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class MockFileNameMatcher extends FileNameMatcher {
    /** Represents the argument passed in the <code>match</code> method. */
    private String argument;

    /**
     * <p>
     * Creates a new instance of <code>MockFileNameMatcher</code> class.
     * </p>
     */
    public MockFileNameMatcher() {
    }

    /**
     * <p>
     * Gets the argument passed in the <code>match</code> method.
     * </p>
     *
     * @return the argument passed in the <code>match</code> method.
     */
    public String getMatchArgument() {
        return argument;
    }

    /**
     * <p>
     * Defines a mock implementation of <code>FileNameMatcher</code> class.
     * </p>
     *
     * @param filename the value of this argument is stored.
     *
     * @return <code>false</code>.
     *
     * @throws FileMatchingException if the given file name is 'error'.
     */
    protected boolean match(String filename) throws FileMatchingException {
        argument = filename;

        if (filename.equals("error")) {
            throw new FileMatchingException("error");
        }

        return false;
    }
}



