/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Defines a custom exception which is thrown when an custom argument value is invalid. This exception should be thrown
 * by <code>ArgumentHandler</code> implementations when <code>handleArguments</code> is called.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class InvalidArgumentException extends ConfigurationException {
    /**
     * <p>
     * Creates a new instance of <code>InvalidArgumentException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public InvalidArgumentException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>InvalidArgumentException</code> class with a detail error message and the
     * original exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     */
    public InvalidArgumentException(String message, Throwable cause) {
        super(message, cause);
    }
}
