/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

import com.topcoder.util.datavalidator.ObjectValidator;

/**
 * <p>
 * Defines a mock <code>ObjectValidator</code> implementation. When the value is a string 'valid', the object is
 * considered valid. Otherwise, it is invalid.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class MockObjectValidator implements ObjectValidator {
    /** Represents the string to be considered valid. */
    private static final String VALID = "valid";

    /**
     * <p>
     * Defines a mock implementation of <code>ObjectValidator</code>. The value is considered valid if
     * it is a string 'valid'.
     * </p>
     *
     * @param obj the object to be validated.
     * @return <code>true</code> if it is 'valid'; <code>false</code> otherwise.
     */
    public boolean valid(Object obj) {
        return VALID.equals(obj);
    }

    /**
     * <p>
     * Defines a mock implementation of <code>ObjectValidator</code>.
     * </p>
     *
     * @param obj a mock argument.
     * @return <code>null</code>.
     */
    public String getMessage(Object obj) {
        return null;
    }

}
