/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 */
package com.topcoder.file.statistics.accuracytests.matcher;

import java.io.File;

import junit.framework.TestCase;

import com.topcoder.file.statistics.FileMatcher;
import com.topcoder.file.statistics.accuracytests.TestHelper;
import com.topcoder.file.statistics.matcher.BinaryFileMatcher;


/**
 * <p>
 * Accuracy tests for BinaryFileMatcher.
 * </p>
 *
 * @author cucu
 * @version 1.0
 */
public class BinaryFileMatcherAccuracyTests extends TestCase {

    /**
     * The object to test
     */
    private FileMatcher matcher = new BinaryFileMatcher();

    /**
     * Test the Match method against some binary files to see that it matches them.
     */
    public void testMatch() throws Exception {
        assertTrue(TestHelper.ZIP_FILE + " must be considered as binary file",
                matcher.match(new File(TestHelper.ZIP_FILE)));

        assertTrue(TestHelper.DLL_FILE + " must be considered as binary file",
                matcher.match(new File(TestHelper.DLL_FILE)));
    }

    /**
     * Test the Match method against some text files to see that it doesn't matches them.
     */
    public void testNoMatch() throws Exception  {
        assertFalse(TestHelper.TXT_FILE + " must be considered as text file",
                matcher.match(new File(TestHelper.TXT_FILE)));

        assertFalse(TestHelper.CS_FILE + " must be considered as text file",
                matcher.match(new File(TestHelper.CS_FILE)));
    }
}
