/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics.matcher;

/**
 * <p>
 * Defines a mock concrete implementation of <code>FileCategoryMatcher</code> class. The argument passed in
 * <code>match</code> method is stored. It can be retrieved for testing purposes.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0b
 * @since 1.0
 */
public class MockFileCategoryMatcher extends FileCategoryMatcher {
    /** Represents the argument passed in the <code>match</code> method. */
    private boolean argument;

    /**
     * <p>
     * Creates a new instance of <code>MockFileCategoryMatcher</code> class.
     * </p>
     */
    public MockFileCategoryMatcher() {
    }

    /**
     * <p>
     * Gets the argument passed in the <code>match</code> method.
     * </p>
     *
     * @return the argument passed in the <code>match</code> method.
     */
    public boolean getMatchArgument() {
        return argument;
    }

    /**
     * <p>
     * Defines a mock implementation of <code>FileCategoryMatcher</code> class.
     * </p>
     *
     * @param isBinary the value of this argument is stored.
     *
     * @return <code>false</code>.
     */
    protected boolean match(boolean isBinary) {
        argument = isBinary;

        return false;
    }
}




