<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/report">
		<html>
		<body>
			<h2>File Statistical Report</h2>
			<xsl:apply-templates select="files" />
			<br/>
			<xsl:apply-templates select="directories" />
			<br/>
			<xsl:apply-templates select="aliases" />
			<br/>
			<xsl:apply-templates select="overall" />
		</body>
		</html>
	</xsl:template>
	<xsl:template match="files">
		<table border="1">
			<tr><th>File Path</th><th>Metric Name 1</th><th>Metric Name 2</th></tr>
			<xsl:for-each select="file">
				<tr>
					<td><xsl:value-of select="@name" /></td>
					<td><xsl:value-of select="display_metric_1" /></td>
					<td><xsl:value-of select="display_metric_2" /></td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="directories">
		<table border="1">
			<tr><th>Directory Path</th><th>Metric Name 1</th><th>Metric Name 2</th></tr>
			<xsl:for-each select="directory">
				<tr>
					<td><xsl:value-of select="@name" /></td>
					<td><xsl:value-of select="display_metric_1" /></td>
					<td><xsl:value-of select="display_metric_2" /></td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="aliases">
		<table border="1">
			<tr><th>Processor Alias</th><th>Metric Name 1</th><th>Metric Name 2</th></tr>
			<xsl:for-each select="alias">
				<tr>
					<td><xsl:value-of select="@name" /></td>
					<td><xsl:value-of select="display_metric_1" /></td>
					<td><xsl:value-of select="display_metric_2" /></td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="overall">
		<table border="1">
			<tr><th>Overall</th><th>Metric Name 1</th><th>Metric Name 2</th></tr>
			<tr>
				<td>Overall</td>
				<td><xsl:value-of select="display_metric_1" /></td>
				<td><xsl:value-of select="display_metric_2" /></td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
